%define fontname kacst
%define fontdir %{_datadir}/fonts/%{fontname}

Name: %{fontname}-fonts
Version: 2.01
Release: 3%{?dist}
License: GPLv2
Source0: http://downloads.sourceforge.net/arabeyes/kacst_fonts_2.01.tar.bz2
Source1: http://downloads.sourceforge.net/arabeyes/kacst_one_5.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: dos2unix
Group: User Interface/X
Summary: Fonts for arabic from King Abdulaziz City for Science & Technology(kacst).
URL: http://ceri.kacst.edu.sa/fonts.htm
Provides: kacst-office-fonts = %{version}
Provides: kacst-pen-fonts = %{version}
Provides: kacst-digital-fonts = %{version}
Provides: kacst-poster-fonts = %{version}
Provides: kacst-farsi-fonts = %{version}
Provides: kacst-one-fonts = 5.0
Provides: kacst-book-fonts = %{version}
Provides: kacst-art-fonts = %{version}
Provides: kacst-titlel-fonts = %{version}
Provides: kacst-letter-fonts = %{version}
Provides: kacst-qurn-fonts = %{version}
Provides: kacst-naskh-fonts = %{version}
Provides: kacst-screen-fonts = %{version}
Provides: kacst-title-fonts = %{version}
Provides: kacst-decorative-fonts = %{version}

Obsoletes: kacst-office-fonts <= %{version}
Obsoletes: kacst-pen-fonts <= %{version}
Obsoletes: kacst-digital-fonts <= %{version}
Obsoletes: kacst-poster-fonts <= %{version}
Obsoletes: kacst-farsi-fonts <= %{version}
Obsoletes: kacst-one-fonts <= %{version}
Obsoletes: kacst-book-fonts <= %{version}
Obsoletes: kacst-art-fonts <= %{version}
Obsoletes: kacst-titlel-fonts <= %{version}
Obsoletes: kacst-letter-fonts <= %{version}
Obsoletes: kacst-qurn-fonts <= %{version}
Obsoletes: kacst-naskh-fonts <= %{version}
Obsoletes: kacst-screen-fonts <= %{version}
Obsoletes: kacst-title-fonts <= %{version}
Obsoletes: kacst-decorative-fonts <= %{version}


%description
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).

%prep
#%setup -q -n %{fontname}_fonts_%{version}
%setup -q -n KacstArabicFonts-2.01
mkdir KacstOne
mkdir ttf
tar -xjf %{S:1} -C KacstOne
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;
find . -iname \*.ttf -type f | xargs mv -t ttf

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p ttf/*.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
%doc Copyright
%doc LICENSE
%doc README
%dir %{fontdir}
%{fontdir}/*.ttf
%changelog
* Tue Aug 16 2011 Muayyad Salah Alsadi <alsadi@ojuba.org> - 2.01-3
- use upstream kacst_one_5.0.tar.bz2

* Wed Jun 2 2010 Muayyad Salah Alsadi <alsadi@ojuba.org> - 2.01-2
- use upstream kacst_one_3.0.tar.bz2
- add obsoletes

* Sat Sep 12 2009  Muayyad Saleh AlSadi <alsadi@ojuba.org> - 2.01-1
- updated with fixes by Khalid Husni

* Wed Jul 30 2008  Muayyad Saleh AlSadi <alsadi@ojuba.org> - 2.0-1
- build with the updated upstream

* Sat Jun 21 2008  Muayyad Saleh AlSadi <alsadi@ojuba.org> - 1.6.9-3
- some fixes by Khalid Husni

* Tue Jun 10 2008 Muayyad Saleh AlSadi <alsadi@ojuba.org> - 1.6.9
- build with the updated upstream

* Mon Oct 15 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-2.fc8
- Used dos2unix

* Thu Oct 12 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-1.fc8
- Initial Packaging
